> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Webhook

> Activate webhook you created before.



## OpenAPI

````yaml post /webhooks/{webhook_id}/activate
openapi: 3.1.0
info:
  title: webhook API
  version: '1.0'
servers:
  - url: https://api.chainbase.online/v1/
security:
  - {}
paths:
  /webhooks/{webhook_id}/activate:
    post:
      summary: Activate Webhook
      description: Activate webhook you created before.
      operationId: activate-webhook
      parameters:
        - name: x-api-key
          in: header
          description: YOUR-API-KEY
          required: true
          schema:
            type: string
            example: demo
        - name: webhook_id
          in: path
          description: Webhook to be activated
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{"code":0,"msg":"ok","data":null}'
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 0
                    default: 0
                  msg:
                    type: string
                    example: ok
                  data: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: >-
                    {"code":-1,"msg":"webhook activate request
                    pending","data":null}
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: -1
                    default: 0
                  msg:
                    type: string
                    example: webhook activate request pending
                  data: {}
      deprecated: false

````